Home / Lua API Manual / types / lua_text_view
< lua_stack
lua_widget >

# lua_text_view

`dt_type`

A multiline text input widget

Attributes:

- has_tostring
- parent : types.lua_widget

# 🔗lua_text_view.__call

see types.lua_widget.As a function

# 🔗lua_text_view.extra registration parameters

This widget has no extra registration parameters

# 🔗lua_text_view.text

`string`

The text in the widget

Attributes:

- write

# 🔗lua_text_view.editable

`boolean`

False if the entry should be read-only

Attributes:

- write

< lua_stack
lua_widget >